/**
 * @file       jokenpo.hpp
 * @author     Louise Stella    <louiselbarbosa@gmail.com> 
 * @version    1.0
 *
 * This is the header file for the jokenpo functions used on the Jokenpo library.
 *
 * Created for the "Linguagem de Programação I" class from the
 * Universidade Federal do Rio Grande do Norte em 24/06/2017.
 * 
 */

#ifndef _JOKENPO_H_
#define _JOKENPO_H_

#include <iostream> 

namespace jokenpo {

    extern "C" int jokenpo(void);
    extern "C" int cpuMove(void);

    template <typename T>
    void print ( T whatToPrint ){
        std::cout << whatToPrint << std::endl;
    }
}

#endif
